Subject: Re: bug#23785: Emacs 25: "Undo" overdoes things.

From: Stefan Monnier <[email-masked]>
Date: Sat, 18 Jun 2016 00:46:44 -0400

> Stefan what do you think? You suggested something like this for
> Bug#22295 also. I think that the problem is the same; if I read
> insert-file-contents correctly, it disables collection of undo
> information. I may well be reading it wrong though.

Looks OK to me, yes.

> Given that this has turned up in two places now, it may be a wider
> problem, and the more general solution might be the better one.  It
> might also invalidate the necessity for 12e009e52, but I haven't
> tested that yet.

It probably makes 12e009e52 unnecessary, indeed, but I'd argue that
it is wrong of viper-adjust-undo to remove the topmost undo-boundary, so
IMO we should keep 12e009e52 (if not in emacs-25 at least in master).

Similarly I think it's still a bug that revert-buffer removes
a pre-existing undo-boundary (even if that bug ends up hidden by adding
current-buffer unconditionally in undo-auto--boundaries).

        Stefan